module switch_fpga_harness();

logic         rgmii_rx_clk_0;
logic [3:0]   rgmii_rxd_0;
logic         rgmii_rx_ctl_0;
logic         rgmii_tx_clk_0;
logic [3:0]   rgmii_txd_0;
logic         rgmii_tx_ctl_0;

logic         rgmii_rx_clk_1;
logic [3:0]   rgmii_rxd_1;
logic         rgmii_rx_ctl_1;
logic         rgmii_tx_clk_1;
logic [3:0]   rgmii_txd_1;
logic         rgmii_tx_ctl_1;

logic         rgmii_rx_clk_2;
logic [3:0]   rgmii_rxd_2;
logic         rgmii_rx_ctl_2;
logic         rgmii_tx_clk_2;
logic [3:0]   rgmii_txd_2;
logic         rgmii_tx_ctl_2;

logic         rgmii_rx_clk_3;
logic [3:0]   rgmii_rxd_3;
logic         rgmii_rx_ctl_3;
logic         rgmii_tx_clk_3;
logic [3:0]   rgmii_txd_3;
logic         rgmii_tx_ctl_3;

// verilator lint_off PINMISSING
switch_fpga #(.TARGET("SIM")) u_dut(
    .rgmii_rx_clk       ({rgmii_rx_clk_3, rgmii_rx_clk_2, rgmii_rx_clk_1, rgmii_rx_clk_0}),
    .rgmii_rxd          ({rgmii_rxd_3,    rgmii_rxd_2,    rgmii_rxd_1,    rgmii_rxd_0}),
    .rgmii_rx_ctl       ({rgmii_rx_ctl_3, rgmii_rx_ctl_2, rgmii_rx_ctl_1, rgmii_rx_ctl_0}),
    .rgmii_tx_clk       ({rgmii_tx_clk_3, rgmii_tx_clk_2, rgmii_tx_clk_1, rgmii_tx_clk_0}),
    .rgmii_txd          ({rgmii_txd_3,    rgmii_txd_2,    rgmii_txd_1,    rgmii_txd_0}),
    .rgmii_tx_ctl       ({rgmii_tx_ctl_3, rgmii_tx_ctl_2, rgmii_tx_ctl_1, rgmii_tx_ctl_0})
);
// verilator lint_on PINMISSING

endmodule