set_property PACKAGE_PIN Y9 [get_ports i_clk_50]
set_property IOSTANDARD LVCMOS33 [get_ports i_clk_50]

set_property PACKAGE_PIN A17 [get_ports i_rstn]
set_property IOSTANDARD LVCMOS33 [get_ports i_rstn]


set_property IOSTANDARD LVCMOS18 [get_ports {rgmii_rxd[*]}]
set_property IOSTANDARD LVCMOS18 [get_ports {rgmii_txd[*]}]
set_property IOSTANDARD LVCMOS18 [get_ports {rgmii_rx_clk[*]}]
set_property IOSTANDARD LVCMOS18 [get_ports {rgmii_rx_ctl[*]}]
set_property IOSTANDARD LVCMOS18 [get_ports {rgmii_tx_clk[*]}]
set_property IOSTANDARD LVCMOS18 [get_ports {rgmii_tx_ctl[*]}]

set_property SLEW FAST [get_ports {rgmii_txd[*]}]
set_property SLEW FAST [get_ports {rgmii_tx_ctl[*]}]

set_property PACKAGE_PIN K19  [get_ports {rgmii_rx_clk[0]}]
set_property PACKAGE_PIN M19  [get_ports {rgmii_rx_clk[1]}]
set_property PACKAGE_PIN W16  [get_ports {rgmii_rx_clk[2]}]
set_property PACKAGE_PIN W17  [get_ports {rgmii_rx_clk[3]}]

set_property PACKAGE_PIN J18  [get_ports {rgmii_rxd[0]}]
set_property PACKAGE_PIN K18  [get_ports {rgmii_rxd[1]}]
set_property PACKAGE_PIN J15  [get_ports {rgmii_rxd[2]}]
set_property PACKAGE_PIN K15  [get_ports {rgmii_rxd[3]}]
set_property PACKAGE_PIN P18  [get_ports {rgmii_rxd[4]}]
set_property PACKAGE_PIN P22  [get_ports {rgmii_rxd[5]}]
set_property PACKAGE_PIN N22  [get_ports {rgmii_rxd[6]}]
set_property PACKAGE_PIN M21  [get_ports {rgmii_rxd[7]}]
set_property PACKAGE_PIN U16  [get_ports {rgmii_rxd[8]}]
set_property PACKAGE_PIN V14  [get_ports {rgmii_rxd[9]}]
set_property PACKAGE_PIN V15  [get_ports {rgmii_rxd[10]}]
set_property PACKAGE_PIN AB22 [get_ports {rgmii_rxd[11]}]
set_property PACKAGE_PIN AB16 [get_ports {rgmii_rxd[12]}]
set_property PACKAGE_PIN AA16 [get_ports {rgmii_rxd[13]}]
set_property PACKAGE_PIN Y15  [get_ports {rgmii_rxd[14]}]
set_property PACKAGE_PIN W15  [get_ports {rgmii_rxd[15]}]

set_property PACKAGE_PIN K20  [get_ports {rgmii_rx_ctl[0]}]
set_property PACKAGE_PIN P17  [get_ports {rgmii_rx_ctl[1]}]
set_property PACKAGE_PIN U15  [get_ports {rgmii_rx_ctl[2]}]
set_property PACKAGE_PIN W18  [get_ports {rgmii_rx_ctl[3]}]

set_property PACKAGE_PIN R21  [get_ports {rgmii_tx_clk[0]}]
set_property PACKAGE_PIN K16  [get_ports {rgmii_tx_clk[1]}]
set_property PACKAGE_PIN AA17 [get_ports {rgmii_tx_clk[2]}]
set_property PACKAGE_PIN AB15 [get_ports {rgmii_tx_clk[3]}]

set_property PACKAGE_PIN N17  [get_ports {rgmii_txd[0]}]
set_property PACKAGE_PIN N18  [get_ports {rgmii_txd[1]}]
set_property PACKAGE_PIN N19  [get_ports {rgmii_txd[2]}]
set_property PACKAGE_PIN N20  [get_ports {rgmii_txd[3]}]
set_property PACKAGE_PIN L18  [get_ports {rgmii_txd[4]}]
set_property PACKAGE_PIN L22  [get_ports {rgmii_txd[5]}]
set_property PACKAGE_PIN L21  [get_ports {rgmii_txd[6]}]
set_property PACKAGE_PIN L16  [get_ports {rgmii_txd[7]}]
set_property PACKAGE_PIN V18  [get_ports {rgmii_txd[8]}]
set_property PACKAGE_PIN U17  [get_ports {rgmii_txd[9]}]
set_property PACKAGE_PIN V17  [get_ports {rgmii_txd[10]}]
set_property PACKAGE_PIN AB17 [get_ports {rgmii_txd[11]}]
set_property PACKAGE_PIN V13  [get_ports {rgmii_txd[12]}]
set_property PACKAGE_PIN W13  [get_ports {rgmii_txd[13]}]
set_property PACKAGE_PIN Y13  [get_ports {rgmii_txd[14]}]
set_property PACKAGE_PIN AA13 [get_ports {rgmii_txd[15]}]

set_property PACKAGE_PIN R20  [get_ports {rgmii_tx_ctl[0]}]
set_property PACKAGE_PIN M22  [get_ports {rgmii_tx_ctl[1]}]
set_property PACKAGE_PIN AA22 [get_ports {rgmii_tx_ctl[2]}]
set_property PACKAGE_PIN AB14 [get_ports {rgmii_tx_ctl[3]}]