module input_mux_harness();

localparam N_PORTS = 4;
localparam ETH_WIDTH = 16;
localparam CORE_WIDTH = 64;

axis_intf #(.DATA_WIDTH(ETH_WIDTH)) s_axis[N_PORTS]();
axis_intf #(.DATA_WIDTH(CORE_WIDTH)) m_axis();

// verilator lint_off PINMISSING
input_mux #(.ETHERNET_COUNT(N_PORTS)) u_dut (
    .s_eth_axis(s_axis),
    .m_core_axis(m_axis)
);
// verilator lint_on PINMISSING

endmodule